---
title: 'Element: dblclick event'
slug: Web/API/Element/dblclick_event
tags:
  - API
  - DOM
  - Double Click
  - Double-Click
  - Element
  - Event
  - Input
  - Interface
  - MouseEvent
  - Reference
  - button
  - dblclick
  - mouse
---
<div>{{APIRef}}</div>

<p><span class="seoSummary">The <strong><code>dblclick</code></strong> event fires when a pointing device button (such as a mouse's primary button) is double-clicked; that is, when it's rapidly clicked twice on a single element within a very short span of time.</span></p>

<p><code>dblclick</code> fires after two {{domxref("Element/click_event", "click")}} events (and by extension, after two pairs of {{domxref("Element.mousedown_event", "mousedown")}} and {{domxref("Element.mouseup_event", "mouseup")}} events).</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("MouseEvent")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>{{domxref("GlobalEventHandlers.ondblclick", "ondblclick")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<p>This example toggles the size of a card when you double click on it.</p>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js notranslate">const card = document.querySelector('aside');

card.addEventListener('dblclick', function (e) {
  card.classList.toggle('large');
});</pre>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;aside&gt;
  &lt;h3&gt;My Card&lt;/h3&gt;
  &lt;p&gt;Double click to resize this object.&lt;/p&gt;
&lt;/aside&gt;</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush: css notranslate">aside {
  background: #fe9;
  border-radius: 1em;
  display: inline-block;
  padding: 1em;
  transform: scale(.9);
  transform-origin: 0 0;
  transition: transform .6s;
  user-select: none;
}

.large {
  transform: scale(1.3);
}</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Examples", 700, 200)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
  <tr>
   <td>{{SpecName('UI Events', '#event-type-dblclick', 'dblclick')}}</td>
   <td>{{Spec2('UI Events')}}</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM3 Events', '#event-type-dblclick', 'dblclick')}}</td>
   <td>{{Spec2('DOM3 Events')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Element.dblclick_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Learn/JavaScript/Building_blocks/Events">Introduction to events</a></li>
 <li>{{domxref("Element/auxclick_event", "auxclick")}}</li>
 <li>{{domxref("Element/click_event", "click")}}</li>
 <li>{{domxref("Element/contextmenu_event", "contextmenu")}}</li>
 <li>{{domxref("Element/mousedown_event", "mousedown")}}</li>
 <li>{{domxref("Element/mouseup_event", "mouseup")}}</li>
 <li>{{domxref("Element/pointerdown_event", "pointerdown")}}</li>
 <li>{{domxref("Element/pointerup_event", "pointerup")}}</li>
</ul>
